Page MenuHomePhabricator

Adjust edit count bucketing for VisualEditor, segment all metrics
Open, Needs TriagePublic3 Estimated Story Points

Description

Patches

  • 657557: Add edit count bucket to VisualEditorTemplateDialogUse events

Event Timeline

awight set the point value for this task to 5.Feb 2 2021, 12:06 PM
lilients_WMDE changed the point value for this task from 5 to 3.

Change 657635 had a related patch set uploaded (by Awight; owner: Awight):
[analytics/reportupdater-queries@master] [WIP] Update event bucketing for visualeditor events

https://gerrit.wikimedia.org/r/657635

Was blocking a sprint task, so I've pulled in and finished the patch.

Change 657635 merged by Mforns:
[analytics/reportupdater-queries@master] Update event bucketing for visualeditor events

https://gerrit.wikimedia.org/r/657635

Lots of errors in the logs:

Feb 25 11:00:01 an-launcher1002 systemd[1]: Started Report Updater job for visualeditor.
Feb 25 11:00:01 an-launcher1002 kerberos-run-command[20004]: User analytics executes as user analytics the command ['/usr/bin/python3', '/srv/reportupdater/reportupdater/update_reports.py', '-l', 'info', '/srv/r
Feb 25 11:00:01 an-launcher1002 reportupdater-visualeditor[20004]: 2021-02-25 11:00:01,595 - INFO - Starting execution.
Feb 25 11:00:02 an-launcher1002 reportupdater-visualeditor[20004]: 2021-02-25 11:00:02,701 - INFO - Executing "<Report key=template_dialog_parameters_by_edit_success type=script granularity=days lag=18000 is_fun
Feb 25 11:01:33 an-launcher1002 reportupdater-visualeditor[20004]: 2021-02-25 11:01:33,558 - ERROR - Report "template_dialog_parameters_by_edit_success" could not be written because of error: 'NoneType' object h
Feb 25 11:01:33 an-launcher1002 reportupdater-visualeditor[20004]: Traceback (most recent call last):
Feb 25 11:01:33 an-launcher1002 reportupdater-visualeditor[20004]:   File "/srv/reportupdater/reportupdater/reportupdater/writer.py", line 45, in run
Feb 25 11:01:33 an-launcher1002 reportupdater-visualeditor[20004]:     self.write_results(header, updated_data, report, self.get_output_folder())
Feb 25 11:01:33 an-launcher1002 reportupdater-visualeditor[20004]:   File "/srv/reportupdater/reportupdater/reportupdater/writer.py", line 149, in write_results
Feb 25 11:01:33 an-launcher1002 reportupdater-visualeditor[20004]:     row[0] = row[0].strftime(DATE_FORMAT)
Feb 25 11:01:33 an-launcher1002 reportupdater-visualeditor[20004]: AttributeError: 'NoneType' object has no attribute 'strftime'
Feb 25 11:01:33 an-launcher1002 reportupdater-visualeditor[20004]: 2021-02-25 11:01:33,562 - INFO - Executing "<Report key=template_dialog_parameters_by_edit_success type=script granularity=days lag=18000 is_fun
Feb 25 11:03:01 an-launcher1002 reportupdater-visualeditor[20004]: 2021-02-25 11:03:01,144 - ERROR - Report "template_dialog_parameters_by_edit_success" could not be executed because of error: Could not parse da
Feb 25 11:03:01 an-launcher1002 reportupdater-visualeditor[20004]: Traceback (most recent call last):
Feb 25 11:03:01 an-launcher1002 reportupdater-visualeditor[20004]:   File "/srv/reportupdater/reportupdater/reportupdater/executor.py", line 156, in normalize_results
Feb 25 11:03:01 an-launcher1002 reportupdater-visualeditor[20004]:     normalized_date = datetime.strptime(raw_date, DATE_FORMAT)
Feb 25 11:03:01 an-launcher1002 reportupdater-visualeditor[20004]:   File "/usr/lib/python3.7/_strptime.py", line 577, in _strptime_datetime
Feb 25 11:03:01 an-launcher1002 reportupdater-visualeditor[20004]:     tt, fraction, gmtoff_fraction = _strptime(data_string, format)
Feb 25 11:03:01 an-launcher1002 reportupdater-visualeditor[20004]:   File "/usr/lib/python3.7/_strptime.py", line 359, in _strptime
Feb 25 11:03:01 an-launcher1002 reportupdater-visualeditor[20004]:     (data_string, format))
Feb 25 11:03:01 an-launcher1002 reportupdater-visualeditor[20004]: ValueError: time data ' RecordReader initialized will read a total of 4740 records.' does not match format '%Y-%m-%d'
Feb 25 11:03:01 an-launcher1002 reportupdater-visualeditor[20004]: During handling of the above exception, another exception occurred:
Feb 25 11:03:01 an-launcher1002 reportupdater-visualeditor[20004]: Traceback (most recent call last):
Feb 25 11:03:01 an-launcher1002 reportupdater-visualeditor[20004]:   File "/srv/reportupdater/reportupdater/reportupdater/executor.py", line 131, in execute_script_report
Feb 25 11:03:01 an-launcher1002 reportupdater-visualeditor[20004]:     report.results = self.normalize_results(report, None, tsv_reader)
Feb 25 11:03:01 an-launcher1002 reportupdater-visualeditor[20004]:   File "/srv/reportupdater/reportupdater/reportupdater/executor.py", line 158, in normalize_results
Feb 25 11:03:01 an-launcher1002 reportupdater-visualeditor[20004]:     raise ValueError('Could not parse date from results.')
Feb 25 11:03:01 an-launcher1002 reportupdater-visualeditor[20004]: ValueError: Could not parse date from results.
Feb 25 11:03:01 an-launcher1002 reportupdater-visualeditor[20004]: 2021-02-25 11:03:01,146 - INFO - Executing "<Report key=template_dialog_parameters_by_edit_success type=script granularity=days lag=18000 is_fun
Feb 25 11:04:27 an-launcher1002 reportupdater-visualeditor[20004]: 2021-02-25 11:04:27,310 - ERROR - Report "template_dialog_parameters_by_edit_success" could not be executed because of error: Could not parse da
Feb 25 11:04:27 an-launcher1002 reportupdater-visualeditor[20004]: Traceback (most recent call last):
Feb 25 11:04:27 an-launcher1002 reportupdater-visualeditor[20004]:   File "/srv/reportupdater/reportupdater/reportupdater/executor.py", line 156, in normalize_results
Feb 25 11:04:27 an-launcher1002 reportupdater-visualeditor[20004]:     normalized_date = datetime.strptime(raw_date, DATE_FORMAT)
Feb 25 11:04:27 an-launcher1002 reportupdater-visualeditor[20004]:   File "/usr/lib/python3.7/_strptime.py", line 577, in _strptime_datetime
Feb 25 11:04:27 an-launcher1002 reportupdater-visualeditor[20004]:     tt, fraction, gmtoff_fraction = _strptime(data_string, format)
Feb 25 11:04:27 an-launcher1002 reportupdater-visualeditor[20004]:   File "/usr/lib/python3.7/_strptime.py", line 359, in _strptime
Feb 25 11:04:27 an-launcher1002 reportupdater-visualeditor[20004]:     (data_string, format))
Feb 25 11:04:27 an-launcher1002 reportupdater-visualeditor[20004]: ValueError: time data 'eader: RecordReader initialized will read a total of 2246 records.' does not match format '%Y-%m-%d'
Feb 25 11:04:27 an-launcher1002 reportupdater-visualeditor[20004]: During handling of the above exception, another exception occurred:
Feb 25 11:04:27 an-launcher1002 reportupdater-visualeditor[20004]: Traceback (most recent call last):
Feb 25 11:04:27 an-launcher1002 reportupdater-visualeditor[20004]:   File "/srv/reportupdater/reportupdater/reportupdater/executor.py", line 131, in execute_script_report
Feb 25 11:04:27 an-launcher1002 reportupdater-visualeditor[20004]:     report.results = self.normalize_results(report, None, tsv_reader)
Feb 25 11:04:27 an-launcher1002 reportupdater-visualeditor[20004]:   File "/srv/reportupdater/reportupdater/reportupdater/executor.py", line 158, in normalize_results
Feb 25 11:04:27 an-launcher1002 reportupdater-visualeditor[20004]:     raise ValueError('Could not parse date from results.')
Feb 25 11:04:27 an-launcher1002 reportupdater-visualeditor[20004]: ValueError: Could not parse date from results.
Feb 25 11:04:27 an-launcher1002 reportupdater-visualeditor[20004]: 2021-02-25 11:04:27,311 - INFO - Executing "<Report key=template_dialog_parameters_by_edit_success type=script granularity=days lag=18000 is_fun
Feb 25 11:06:15 an-launcher1002 reportupdater-visualeditor[20004]: 2021-02-25 11:06:15,394 - ERROR - Report "template_dialog_parameters_by_edit_success" could not be executed because of error: Could not parse da
Feb 25 11:06:15 an-launcher1002 reportupdater-visualeditor[20004]: Traceback (most recent call last):
Feb 25 11:06:15 an-launcher1002 reportupdater-visualeditor[20004]:   File "/srv/reportupdater/reportupdater/reportupdater/executor.py", line 156, in normalize_results
Feb 25 11:06:15 an-launcher1002 reportupdater-visualeditor[20004]:     normalized_date = datetime.strptime(raw_date, DATE_FORMAT)
Feb 25 11:06:15 an-launcher1002 reportupdater-visualeditor[20004]:   File "/usr/lib/python3.7/_strptime.py", line 577, in _strptime_datetime
Feb 25 11:06:15 an-launcher1002 reportupdater-visualeditor[20004]:     tt, fraction, gmtoff_fraction = _strptime(data_string, format)
Feb 25 11:06:15 an-launcher1002 reportupdater-visualeditor[20004]:   File "/usr/lib/python3.7/_strptime.py", line 359, in _strptime
Feb 25 11:06:15 an-launcher1002 reportupdater-visualeditor[20004]:     (data_string, format))
Feb 25 11:06:15 an-launcher1002 reportupdater-visualeditor[20004]: ValueError: time data 'rdReader: RecordReader initialized will read a total of 2501 records.' does not match format '%Y-%m-%d'
Feb 25 11:06:15 an-launcher1002 reportupdater-visualeditor[20004]: During handling of the above exception, another exception occurred:
Feb 25 11:06:15 an-launcher1002 reportupdater-visualeditor[20004]: Traceback (most recent call last):
Feb 25 11:06:15 an-launcher1002 reportupdater-visualeditor[20004]:   File "/srv/reportupdater/reportupdater/reportupdater/executor.py", line 131, in execute_script_report
Feb 25 11:06:15 an-launcher1002 reportupdater-visualeditor[20004]:     report.results = self.normalize_results(report, None, tsv_reader)
Feb 25 11:06:15 an-launcher1002 reportupdater-visualeditor[20004]:   File "/srv/reportupdater/reportupdater/reportupdater/executor.py", line 158, in normalize_results
Feb 25 11:06:15 an-launcher1002 reportupdater-visualeditor[20004]:     raise ValueError('Could not parse date from results.')
Feb 25 11:06:15 an-launcher1002 reportupdater-visualeditor[20004]: ValueError: Could not parse date from results.
Feb 25 11:06:15 an-launcher1002 reportupdater-visualeditor[20004]: 2021-02-25 11:06:15,395 - INFO - Executing "<Report key=template_dialog_parameters_by_edit_success type=script granularity=days lag=18000 is_fun
Feb 25 11:07:45 an-launcher1002 reportupdater-visualeditor[20004]: 2021-02-25 11:07:45,591 - ERROR - Report "template_dialog_parameters_by_edit_success" could not be executed because of error: Could not parse da
Feb 25 11:07:45 an-launcher1002 reportupdater-visualeditor[20004]: Traceback (most recent call last):
Feb 25 11:07:45 an-launcher1002 reportupdater-visualeditor[20004]:   File "/srv/reportupdater/reportupdater/reportupdater/executor.py", line 156, in normalize_results
Feb 25 11:07:45 an-launcher1002 reportupdater-visualeditor[20004]:     normalized_date = datetime.strptime(raw_date, DATE_FORMAT)
Feb 25 11:07:45 an-launcher1002 reportupdater-visualeditor[20004]:   File "/usr/lib/python3.7/_strptime.py", line 577, in _strptime_datetime
Feb 25 11:07:45 an-launcher1002 reportupdater-visualeditor[20004]:     tt, fraction, gmtoff_fraction = _strptime(data_string, format)
Feb 25 11:07:45 an-launcher1002 reportupdater-visualeditor[20004]:   File "/usr/lib/python3.7/_strptime.py", line 359, in _strptime
Feb 25 11:07:45 an-launcher1002 reportupdater-visualeditor[20004]:     (data_string, format))
Feb 25 11:07:45 an-launcher1002 reportupdater-visualeditor[20004]: ValueError: time data 'dReader: RecordReader initialized will read a total of 2226 records.' does not match format '%Y-%m-%d'
Feb 25 11:07:45 an-launcher1002 reportupdater-visualeditor[20004]: During handling of the above exception, another exception occurred:
Feb 25 11:07:45 an-launcher1002 reportupdater-visualeditor[20004]: Traceback (most recent call last):
Feb 25 11:07:45 an-launcher1002 reportupdater-visualeditor[20004]:   File "/srv/reportupdater/reportupdater/reportupdater/executor.py", line 131, in execute_script_report
Feb 25 11:07:45 an-launcher1002 reportupdater-visualeditor[20004]:     report.results = self.normalize_results(report, None, tsv_reader)
Feb 25 11:07:45 an-launcher1002 reportupdater-visualeditor[20004]:   File "/srv/reportupdater/reportupdater/reportupdater/executor.py", line 158, in normalize_results
Feb 25 11:07:45 an-launcher1002 reportupdater-visualeditor[20004]:     raise ValueError('Could not parse date from results.')
Feb 25 11:07:45 an-launcher1002 reportupdater-visualeditor[20004]: ValueError: Could not parse date from results.
Feb 25 11:07:45 an-launcher1002 reportupdater-visualeditor[20004]: 2021-02-25 11:07:45,593 - INFO - Executing "<Report key=template_dialog_parameters_by_edit_success type=script granularity=days lag=18000 is_fun
Feb 25 11:09:08 an-launcher1002 reportupdater-visualeditor[20004]: 2021-02-25 11:09:08,824 - ERROR - Report "template_dialog_parameters_by_edit_success" could not be executed because of error: Could not parse da
Feb 25 11:09:08 an-launcher1002 reportupdater-visualeditor[20004]: Traceback (most recent call last):
Feb 25 11:09:08 an-launcher1002 reportupdater-visualeditor[20004]:   File "/srv/reportupdater/reportupdater/reportupdater/executor.py", line 156, in normalize_results
Feb 25 11:09:08 an-launcher1002 reportupdater-visualeditor[20004]:     normalized_date = datetime.strptime(raw_date, DATE_FORMAT)
Feb 25 11:09:08 an-launcher1002 reportupdater-visualeditor[20004]:   File "/usr/lib/python3.7/_strptime.py", line 577, in _strptime_datetime
Feb 25 11:09:08 an-launcher1002 reportupdater-visualeditor[20004]:     tt, fraction, gmtoff_fraction = _strptime(data_string, format)
Feb 25 11:09:08 an-launcher1002 reportupdater-visualeditor[20004]:   File "/usr/lib/python3.7/_strptime.py", line 359, in _strptime
Feb 25 11:09:08 an-launcher1002 reportupdater-visualeditor[20004]:     (data_string, format))
Feb 25 11:09:08 an-launcher1002 reportupdater-visualeditor[20004]: ValueError: time data 'ader: RecordReader initialized will read a total of 5703 records.' does not match format '%Y-%m-%d'
Feb 25 11:09:08 an-launcher1002 reportupdater-visualeditor[20004]: During handling of the above exception, another exception occurred:
Feb 25 11:09:08 an-launcher1002 reportupdater-visualeditor[20004]: Traceback (most recent call last):
Feb 25 11:09:08 an-launcher1002 reportupdater-visualeditor[20004]:   File "/srv/reportupdater/reportupdater/reportupdater/executor.py", line 131, in execute_script_report
Feb 25 11:09:08 an-launcher1002 reportupdater-visualeditor[20004]:     report.results = self.normalize_results(report, None, tsv_reader)
Feb 25 11:09:08 an-launcher1002 reportupdater-visualeditor[20004]:   File "/srv/reportupdater/reportupdater/reportupdater/executor.py", line 158, in normalize_results
Feb 25 11:09:08 an-launcher1002 reportupdater-visualeditor[20004]:     raise ValueError('Could not parse date from results.')
Feb 25 11:09:08 an-launcher1002 reportupdater-visualeditor[20004]: ValueError: Could not parse date from results.
Feb 25 11:09:08 an-launcher1002 reportupdater-visualeditor[20004]: 2021-02-25 11:09:08,825 - INFO - Executing "<Report key=template_dialog_parameters_by_edit_success type=script granularity=days lag=18000 is_fun
Feb 25 11:11:31 an-launcher1002 reportupdater-visualeditor[20004]: 2021-02-25 11:11:31,594 - ERROR - Report "template_dialog_parameters_by_edit_success" could not be executed because of error: Could not parse da
Feb 25 11:11:31 an-launcher1002 reportupdater-visualeditor[20004]: Traceback (most recent call last):
Feb 25 11:11:31 an-launcher1002 reportupdater-visualeditor[20004]:   File "/srv/reportupdater/reportupdater/reportupdater/executor.py", line 156, in normalize_results
Feb 25 11:11:31 an-launcher1002 reportupdater-visualeditor[20004]:     normalized_date = datetime.strptime(raw_date, DATE_FORMAT)
Feb 25 11:11:31 an-launcher1002 reportupdater-visualeditor[20004]:   File "/usr/lib/python3.7/_strptime.py", line 577, in _strptime_datetime
Feb 25 11:11:31 an-launcher1002 reportupdater-visualeditor[20004]:     tt, fraction, gmtoff_fraction = _strptime(data_string, format)
Feb 25 11:11:31 an-launcher1002 reportupdater-visualeditor[20004]:   File "/usr/lib/python3.7/_strptime.py", line 359, in _strptime
Feb 25 11:11:31 an-launcher1002 reportupdater-visualeditor[20004]:     (data_string, format))
Feb 25 11:11:31 an-launcher1002 reportupdater-visualeditor[20004]: ValueError: time data ': RecordReader initialized will read a total of 5218 records.' does not match format '%Y-%m-%d'
Feb 25 11:11:31 an-launcher1002 reportupdater-visualeditor[20004]: During handling of the above exception, another exception occurred:
Feb 25 11:11:31 an-launcher1002 reportupdater-visualeditor[20004]: Traceback (most recent call last):
Feb 25 11:11:31 an-launcher1002 reportupdater-visualeditor[20004]:   File "/srv/reportupdater/reportupdater/reportupdater/executor.py", line 131, in execute_script_report
Feb 25 11:11:31 an-launcher1002 reportupdater-visualeditor[20004]:     report.results = self.normalize_results(report, None, tsv_reader)
Feb 25 11:11:31 an-launcher1002 reportupdater-visualeditor[20004]:   File "/srv/reportupdater/reportupdater/reportupdater/executor.py", line 158, in normalize_results
Feb 25 11:11:31 an-launcher1002 reportupdater-visualeditor[20004]:     raise ValueError('Could not parse date from results.')
Feb 25 11:11:31 an-launcher1002 reportupdater-visualeditor[20004]: ValueError: Could not parse date from results.
Feb 25 11:11:31 an-launcher1002 reportupdater-visualeditor[20004]: 2021-02-25 11:11:31,595 - INFO - Executing "<Report key=template_dialog_parameters_by_edit_success type=script granularity=days lag=18000 is_fun
Feb 25 11:13:00 an-launcher1002 reportupdater-visualeditor[20004]: 2021-02-25 11:13:00,614 - ERROR - Report "template_dialog_parameters_by_edit_success" could not be executed because of error: Could not parse da
Feb 25 11:13:00 an-launcher1002 reportupdater-visualeditor[20004]: Traceback (most recent call last):
Feb 25 11:13:00 an-launcher1002 reportupdater-visualeditor[20004]:   File "/srv/reportupdater/reportupdater/reportupdater/executor.py", line 156, in normalize_results
Feb 25 11:13:00 an-launcher1002 reportupdater-visualeditor[20004]:     normalized_date = datetime.strptime(raw_date, DATE_FORMAT)
Feb 25 11:13:00 an-launcher1002 reportupdater-visualeditor[20004]:   File "/usr/lib/python3.7/_strptime.py", line 577, in _strptime_datetime
Feb 25 11:13:00 an-launcher1002 reportupdater-visualeditor[20004]:     tt, fraction, gmtoff_fraction = _strptime(data_string, format)
Feb 25 11:13:00 an-launcher1002 reportupdater-visualeditor[20004]:   File "/usr/lib/python3.7/_strptime.py", line 359, in _strptime
Feb 25 11:13:00 an-launcher1002 reportupdater-visualeditor[20004]:     (data_string, format))
Feb 25 11:13:00 an-launcher1002 reportupdater-visualeditor[20004]: ValueError: time data 'RecordReader initialized will read a total of 2477 records.' does not match format '%Y-%m-%d'
Feb 25 11:13:00 an-launcher1002 reportupdater-visualeditor[20004]: During handling of the above exception, another exception occurred:
Feb 25 11:13:00 an-launcher1002 reportupdater-visualeditor[20004]: Traceback (most recent call last):
Feb 25 11:13:00 an-launcher1002 reportupdater-visualeditor[20004]:   File "/srv/reportupdater/reportupdater/reportupdater/executor.py", line 131, in execute_script_report
Feb 25 11:13:00 an-launcher1002 reportupdater-visualeditor[20004]:     report.results = self.normalize_results(report, None, tsv_reader)
Feb 25 11:13:00 an-launcher1002 reportupdater-visualeditor[20004]:   File "/srv/reportupdater/reportupdater/reportupdater/executor.py", line 158, in normalize_results
Feb 25 11:13:00 an-launcher1002 reportupdater-visualeditor[20004]:     raise ValueError('Could not parse date from results.')
Feb 25 11:13:00 an-launcher1002 reportupdater-visualeditor[20004]: ValueError: Could not parse date from results.
Feb 25 11:13:00 an-launcher1002 reportupdater-visualeditor[20004]: 2021-02-25 11:13:00,615 - INFO - Executing "<Report key=template_dialog_parameters_by_edit_success type=script granularity=days lag=18000 is_fun
Feb 25 11:14:32 an-launcher1002 reportupdater-visualeditor[20004]: 2021-02-25 11:14:32,318 - ERROR - Report "template_dialog_parameters_by_edit_success" could not be executed because of error: Could not parse da
Feb 25 11:14:32 an-launcher1002 reportupdater-visualeditor[20004]: Traceback (most recent call last):
Feb 25 11:14:32 an-launcher1002 reportupdater-visualeditor[20004]:   File "/srv/reportupdater/reportupdater/reportupdater/executor.py", line 156, in normalize_results
Feb 25 11:14:32 an-launcher1002 reportupdater-visualeditor[20004]:     normalized_date = datetime.strptime(raw_date, DATE_FORMAT)
Feb 25 11:14:32 an-launcher1002 reportupdater-visualeditor[20004]:   File "/usr/lib/python3.7/_strptime.py", line 577, in _strptime_datetime
Feb 25 11:14:32 an-launcher1002 reportupdater-visualeditor[20004]:     tt, fraction, gmtoff_fraction = _strptime(data_string, format)
Feb 25 11:14:32 an-launcher1002 reportupdater-visualeditor[20004]:   File "/usr/lib/python3.7/_strptime.py", line 359, in _strptime
Feb 25 11:14:32 an-launcher1002 reportupdater-visualeditor[20004]:     (data_string, format))
Feb 25 11:14:32 an-launcher1002 reportupdater-visualeditor[20004]: ValueError: time data 'eader: RecordReader initialized will read a total of 3800 records.' does not match format '%Y-%m-%d'
Feb 25 11:14:32 an-launcher1002 reportupdater-visualeditor[20004]: During handling of the above exception, another exception occurred:
Feb 25 11:14:32 an-launcher1002 reportupdater-visualeditor[20004]: Traceback (most recent call last):
Feb 25 11:14:32 an-launcher1002 reportupdater-visualeditor[20004]:   File "/srv/reportupdater/reportupdater/reportupdater/executor.py", line 131, in execute_script_report
Feb 25 11:14:32 an-launcher1002 reportupdater-visualeditor[20004]:     report.results = self.normalize_results(report, None, tsv_reader)
Feb 25 11:14:32 an-launcher1002 reportupdater-visualeditor[20004]:   File "/srv/reportupdater/reportupdater/reportupdater/executor.py", line 158, in normalize_results
Feb 25 11:14:32 an-launcher1002 reportupdater-visualeditor[20004]:     raise ValueError('Could not parse date from results.')
Feb 25 11:14:32 an-launcher1002 reportupdater-visualeditor[20004]: ValueError: Could not parse date from results.
Feb 25 11:14:32 an-launcher1002 reportupdater-visualeditor[20004]: 2021-02-25 11:14:32,319 - INFO - Executing "<Report key=template_dialog_parameters_by_edit_success type=script granularity=days lag=18000 is_fun
Feb 25 11:16:07 an-launcher1002 reportupdater-visualeditor[20004]: 2021-02-25 11:16:07,164 - ERROR - Report "template_dialog_parameters_by_edit_success" could not be executed because of error: Could not parse da
Feb 25 11:16:07 an-launcher1002 reportupdater-visualeditor[20004]: Traceback (most recent call last):
Feb 25 11:16:07 an-launcher1002 reportupdater-visualeditor[20004]:   File "/srv/reportupdater/reportupdater/reportupdater/executor.py", line 156, in normalize_results
Feb 25 11:16:07 an-launcher1002 reportupdater-visualeditor[20004]:     normalized_date = datetime.strptime(raw_date, DATE_FORMAT)
Feb 25 11:16:07 an-launcher1002 reportupdater-visualeditor[20004]:   File "/usr/lib/python3.7/_strptime.py", line 577, in _strptime_datetime
Feb 25 11:16:07 an-launcher1002 reportupdater-visualeditor[20004]:     tt, fraction, gmtoff_fraction = _strptime(data_string, format)
Feb 25 11:16:07 an-launcher1002 reportupdater-visualeditor[20004]:   File "/usr/lib/python3.7/_strptime.py", line 359, in _strptime
Feb 25 11:16:07 an-launcher1002 reportupdater-visualeditor[20004]:     (data_string, format))
Feb 25 11:16:07 an-launcher1002 reportupdater-visualeditor[20004]: ValueError: time data 'RecordReader initialized will read a total of 5762 records.' does not match format '%Y-%m-%d'
Feb 25 11:16:07 an-launcher1002 reportupdater-visualeditor[20004]: During handling of the above exception, another exception occurred:
Feb 25 11:16:07 an-launcher1002 reportupdater-visualeditor[20004]: Traceback (most recent call last):
Feb 25 11:16:07 an-launcher1002 reportupdater-visualeditor[20004]:   File "/srv/reportupdater/reportupdater/reportupdater/executor.py", line 131, in execute_script_report
Feb 25 11:16:07 an-launcher1002 reportupdater-visualeditor[20004]:     report.results = self.normalize_results(report, None, tsv_reader)
Feb 25 11:16:07 an-launcher1002 reportupdater-visualeditor[20004]:   File "/srv/reportupdater/reportupdater/reportupdater/executor.py", line 158, in normalize_results
Feb 25 11:16:07 an-launcher1002 reportupdater-visualeditor[20004]:     raise ValueError('Could not parse date from results.')
Feb 25 11:16:07 an-launcher1002 reportupdater-visualeditor[20004]: ValueError: Could not parse date from results.

Looks like we're missing a 2>/dev/null?